# zycus-automation

## Features:
1. Finds and fixes broken test in execution time.

2. Dynamic location strategy instead of single static one.

3. Datapoints comparison for stability calculation.

4. Universal switch to turn on/off auto healing

## Summary
dd-auto-heal-v2 provides the wrapper around the I function of codeceptjs. User can directly use these wrappers with configured waits. 
This package has an advanced utility of self healing xpath. On successful xpath execution, it gathers relevant information(className, id, tags, parent, attributes) about the element and store it in the JSON file.
And in case of failure, it uses the stored information to create an alternative xpath for the same element. It creates xpath using class, id and tags. Then for the created xpaths, it tries to search the element and gather their information which is further compared with the original element data. This helps in calculating the stability/confidence score, on the basis of which and healed xpath is picked.
If the test case passes with the suggested healed xpath, then this package replaces the old non working xpath with the healed working xpath.

NPM package: https://www.npmjs.com/package/dd-auto-heal-v2

####  1.0.1          Date of Publish: 4th August 2022
* Initial Release

####  1.0.3          Date of Publish: 17th August 2022
* Internally handled the locator key having both xpath and the object key value
* User don't have to add an extra parameter for using autoheal

####  1.0.4          Date of Publish: 16th September 2022
* Bug Fixes


