require("source-map-support").install();
startup.lang = 'en'
PropertiesConfigurator.parseJson();
const path =require('path');
prop.downloadDir = path.join(__dirname, 'tempDownload'); 
//const customChunks=require('./customChunk');
const changeIeVesrion = require('./ie_change_bit_version');
changeIeVesrion();

exports.config = {
  tests: "./*_test.js",
  output: "./output",
  helpers: {
    WebDriver: {
      url: prop.url,
      browser: prop.browser,
      path: "/wd/hub",
      host:prop.host,
     // host: "test:test-password@172.30.225.88",
       port: prop.port,
      restart: true,
      //keepCookies: true,
      windowSize: prop.windowSize,
      waitForTimeout: 120000,
      smartWait:50000, 
      timeouts: {
        "script": 50000,
        "page load": 50000
      },
      default_low_wait: prop.DEFAULT_LOW_WAIT,
      default_medium_wait: prop.DEFAULT_MEDIUM_WAIT,
      default_high_wait: prop.DEFAULT_HIGH_WAIT,

      desiredCapabilities: 
      {
        pageLoadStrategy: 'none',
        chromeOptions: {
          args: ["--disable-gpu", "--no-sandbox", "--ignore-certificate-errors"],
        },
        'selenoid:options': {
          enableVNC: true,
          enableVideo: false
        }
      }
    },
    
    REST: {
      timeout: 120000
    },
   ChaiWrapper:
    {
      require: "codeceptjs-chai"
    },
    xpathValidate: 
    { 
    require: "./xpathValidation.js",
    enabled: true 
    },
    MyHelper:
    {
      require: "./dist/Framework/CustomHelper/myHelper.js",
    },
    ApiHelper: {

      require: "./dist/dd_api_automation/src/Framework/ApiHelper.js"
      
      },
      CoeHelper:
{ 
    require: "./dist/COE_AUTOMATION/src/Framework/CustomHelper/CoeHelper.js",
},
REST: {timeout:30000},
  },
  bootstrap: "./dist/Framework/FrameworkUtilities/Bootstrap/bootstrap.js",
  teardown: "./dist/Framework/FrameworkUtilities/Bootstrap/bootstrap.js",
  //teardownAll: "./get_all_reports.js",
  teardownAll: "./src/COE_AUTOMATION/get_all_reports.js",
  include: {
    I: prop.stepFilePath,
  },
  // multiple: {
  //   parallel: {
  //     "chunks": (files) => {
  //       return customChunks(files, 17 )
  //   }
  // }
  // },
   
  name: prop.projectName,
  plugins: {
    check_MST_Key: {
      require: "./check_MST_Key.js",
      enabled: true
      },
    "mocha": {
      "reporterOptions": {
          "reportDir": "output"
      }
    },
    retryFailedStep: {
      enabled: true,
    },
    screenshotOnFail: {
      enabled: true
    },
    wdio: {
     enabled: true,
      services: ["selenium-standalone"]
    },
    allure: {
      enabled: true
    },
    require: ["ts-node/register"]
  }
};