import { ElementByClassCreator } from "../ElementCreator/ElementByClassCreator";
import { ElementByIdCreator } from "../ElementCreator/ElementByIdCreator";
import { SimilarElementCreator } from "../ElementCreator/SimilarElementCreator";
import { GetCurrentElementInfo } from "../ElementHealer/GetCurrentElementInfo";
import { CalculateConfidenceScore } from "../ElementScore/CalculateConfidenceScore";
import { GlobalVariable } from "../GlobalVariable";
import { GetHealedElementInfo } from "./GetHealedElementInfo";

export class AutoHeal{
    static async startHealing(locatorName:string){
        await GetCurrentElementInfo.checkIfElementAlreadyHealed(locatorName).then(async result=>{
            if(result==null){
                await GetCurrentElementInfo.getElementInfo(locatorName).then(async ()=>{
                    await ElementByClassCreator.xpathFromClass();
                    await ElementByIdCreator.xpathFromId();
                    await SimilarElementCreator.getSimilarXpath();
                }).then(async ()=>{
                    await CalculateConfidenceScore.getScore();
                }).then(async ()=>{
                    if(GlobalVariable.HealedElement!='NA')
                    await GetHealedElementInfo.getElementInfo(GlobalVariable.HealedElement);
                })
            }
        })  
    }
}