"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElementByClassCreator = void 0;
const GlobalVariable_1 = require("../GlobalVariable");
class ElementByClassCreator {
    static xpathFromClass() {
        return __awaiter(this, void 0, void 0, function* () {
            let className = yield GlobalVariable_1.GlobalVariable.ElementMap.get('className');
            console.log('class--' + className);
            if (className != 'NA' || className != undefined || className != '') {
                GlobalVariable_1.GlobalVariable.classXpath = "//*[contains(@class,'" + GlobalVariable_1.GlobalVariable.ElementMap.get('className') + "')]";
            }
            else {
                GlobalVariable_1.GlobalVariable.classXpath = 'NA';
            }
            console.log('Class Xpath created = ' + GlobalVariable_1.GlobalVariable.classXpath);
        });
    }
}
exports.ElementByClassCreator = ElementByClassCreator;
