"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElementByIdCreator = void 0;
const GlobalVariable_1 = require("../GlobalVariable");
class ElementByIdCreator {
    static xpathFromId() {
        return __awaiter(this, void 0, void 0, function* () {
            let id = yield GlobalVariable_1.GlobalVariable.ElementMap.get('id');
            console.log('id--' + id);
            if (id != 'NA' && id != undefined && id != '') {
                GlobalVariable_1.GlobalVariable.idXpath = "//*[contains(@id,'" + GlobalVariable_1.GlobalVariable.ElementMap.get('id') + "')]";
            }
            else {
                GlobalVariable_1.GlobalVariable.idXpath = 'NA';
            }
            console.log('Id Xpath created = ' + GlobalVariable_1.GlobalVariable.idXpath);
        });
    }
}
exports.ElementByIdCreator = ElementByIdCreator;
