"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimilarElementCreator = void 0;
const GlobalVariable_1 = require("../GlobalVariable");
class SimilarElementCreator {
    static getSimilarXpath() {
        return __awaiter(this, void 0, void 0, function* () {
            let elementXpath = GlobalVariable_1.GlobalVariable.ElementMap.get('xpath');
            let xpath1 = elementXpath === null || elementXpath === void 0 ? void 0 : elementXpath.substring(0, elementXpath === null || elementXpath === void 0 ? void 0 : elementXpath.lastIndexOf('/'));
            let tag = GlobalVariable_1.GlobalVariable.ElementMap.get('tag');
            if (tag != '') {
                if (xpath1 == '/')
                    GlobalVariable_1.GlobalVariable.similarElementXpath = xpath1 + '/' + GlobalVariable_1.GlobalVariable.ElementMap.get('parent') + '//' + tag;
                else
                    GlobalVariable_1.GlobalVariable.similarElementXpath = xpath1 + '/' + tag;
            }
            else
                GlobalVariable_1.GlobalVariable.similarElementXpath = '';
            if (GlobalVariable_1.GlobalVariable.similarElementXpath[0] == '(')
                GlobalVariable_1.GlobalVariable.similarElementXpath = GlobalVariable_1.GlobalVariable.similarElementXpath + ')';
            console.log('similar element xpath created = ' + GlobalVariable_1.GlobalVariable.similarElementXpath);
        });
    }
}
exports.SimilarElementCreator = SimilarElementCreator;
//use parent, tags and existing path for creating xpath
